lorom

;pointer table for $94
org $949EB6   ;p bomb
dw $D088
org $949EB8   ;s missile
dw $D090
org $949EBA   ;missile
dw $F201
org $949EBC   ;ice
dw $F205
org $949EBE   ;wave
dw $F209
org $949EC0   ;spazer
dw $F20D
org $949EC2   ;plasma
dw $F211
;---------------------------------------------------------------
;missile block code
org $84F0CC
LDX $0DDE      
LDA $0C18,X    
AND #$0F00     
CMP #$0500  
BEQ MISSILEAlpha  
CMP #$0100      
BEQ MISSILEBeta
LDA #$0000      
STA $1C37,Y     
RTS 
MISSILEBeta:
LDX $1C87,Y      
LDA $7F0002,X      
AND #$F000      
ORA #$004A      
STA $1E17,Y      
AND #$8FFF      
STA $7F0002,X      
RTS 
MISSILEAlpha:
LDA #$F215      
STA $1D27,Y
RTS

;ice block code
org $84F105
LDX $0DDE      
LDA $0C18,X    
AND #$0F00     
CMP #$0500      
BEQ ICEAlpha
LDA $0C18,X      
AND #$000F      
CMP #$0002      
BEQ ICEBeta
LDA #$0000      
STA $1C37,Y     
RTS         
ICEBeta:
LDX $1C87,Y      
LDA $7F0002,X      
AND #$F000      
ORA #$004D      
STA $1E17,Y      
AND #$8FFF      
STA $7F0002,X      
RTS         
ICEAlpha:
LDA #$F221      
STA $1D27,Y
RTS

;wave block code
org $84F183
LDX $0DDE      
LDA $0C18,X    
AND #$0F00     
CMP #$0500      
BEQ WAVEAlpha
LDA $0C18,X      
AND #$000F      
CMP #$0001      
BEQ WAVEBeta
LDA #$0000      
STA $1C37,Y     
RTS         
WAVEBeta:
LDX $1C87,Y      
LDA $7F0002,X      
AND #$F000      
ORA #$004C      
STA $1E17,Y      
AND #$8FFF      
STA $7F0002,X      
RTS         
WAVEAlpha:
LDA #$F22D     
STA $1D27,Y
RTS

;spazer block code
org $84F144
LDX $0DDE      
LDA $0C18,X    
AND #$0F00     
CMP #$0500      
BEQ SPAZERAlpha
LDA $0C18,X      
AND #$000F      
CMP #$0004      
BEQ SPAZERBeta
LDA #$0000      
STA $1C37,Y     
RTS         
SPAZERBeta:
LDX $1C87,Y      
LDA $7F0002,X      
AND #$F000      
ORA #$004E      
STA $1E17,Y      
AND #$8FFF      
STA $7F0002,X      
RTS         
SPAZERAlpha:
LDA #$F239      
STA $1D27,Y
RTS

;plasma block code
org $84F1C2
LDX $0DDE      
LDA $0C18,X    
AND #$0F00     
CMP #$0500      
BEQ PLASMAAlpha
LDA $0C18,X      
AND #$000F      
CMP #$0008      
BEQ PLASMABeta
LDA #$0000      
STA $1C37,Y     
RTS         
PLASMABeta:
LDX $1C87,Y      
LDA $7F0002,X      
AND #$F000      
ORA #$004F      
STA $1E17,Y      
AND #$8FFF      
STA $7F0002,X      
RTS         
PLASMAAlpha:
LDA #$F245      
STA $1D27,Y
RTS

;---------------------------------------------------------------
;pointer table for $84

org $84F201	;MISSILE
dw $F0CC
org $84F203
dw $CBB7
org $84F205	;ICE
dw $F105
org $84F207
dw $CBB7
org $84F209	;WAVE
dw $F183
org $84F20B
dw $CBB7
org $84F20D	;SPAZER
dw $F144
org $84F20F
dw $CBB7
org $84F211	;PLASMA
dw $F1C2
org $84F213
dw $CBB7

;BOMB REVEAL TABLE
org $84F215	;MISSILE
dw $0001
org $84F217
dw $F21B
org $84F219
dw $86BC
org $84F21B
dw $0001
org $84F21D
dw $C04A
org $84F21F
dw $0000
org $84F221	;ICE
dw $0001
org $84F223
dw $F227
org $84F225
dw $86BC
org $84F227
dw $0001
org $84F229
dw $C04D
org $84F22B
dw $0000
org $84F22D	;WAVE
dw $0001
org $84F22F
dw $F233
org $84F231
dw $86BC
org $84F233
dw $0001
org $84F235
dw $C04C
org $84F237
dw $0000
org $84F239	;SPAZER
dw $0001
org $84F23B
dw $F23F
org $84F23D
dw $86BC
org $84F23F
dw $0001
org $84F241
dw $C04E
org $84F243
dw $0000
org $84F245	;PLASMA
dw $0001
org $84F247
dw $F24B
org $84F249
dw $86BC
org $84F24B
dw $0001
org $84F24D
dw $C04F
org $84F24F
dw $0000
;---------------------------------------------------------------
;x-ray reaction table mods for $91

org $91D444	;pb
dw $0057
org $91D448	;sm
dw $009F
org $91D44C	;missile
dw $004A
org $91D450	;ice
dw $004D
org $91D454	;wave
dw $004C
org $91D458	;spazer
dw $004E
org $91D45C	;plasma
dw $004F